import { getTranslations } from "next-intl/server";

import { AnimatedInfoScreen, LottieAnimation } from "@/components/widgets";
import { ELottieKeys } from "@/shared/constants/lottie";

import PaymentSuccessButton from "./Button";

export default async function PaymentSuccess() {
  const t = await getTranslations("Payment.Success");

  return (
    <>
      <AnimatedInfoScreen
        lottieAnimation={
          <LottieAnimation loadKey={ELottieKeys.loaderCheckMark} />
        }
        title={t("title")}
      />
      <PaymentSuccessButton />
    </>
  );
}
